%?mingw_package_header

Name:           mingw-libcacard
Version:        2.6.0
Release:        1%{?dist}
Summary:        Common Access Card (CAC) Emulation

License:        GPLv2+ and LGPLv2+ and BSD
URL:            http://www.spice-space.org/
Source0:        http://www.spice-space.org/download/libcacard/libcacard-%{version}.tar.xz

BuildArch:      noarch
ExclusiveArch: %{ix86} x86_64

# avoid pixman build...
BuildRequires:  mingw32-pixman
BuildRequires:  mingw64-pixman

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-nss
BuildRequires:  mingw32-glib2

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-nss
BuildRequires:  mingw64-glib2

BuildRequires:  automake
BuildRequires:  libtool

%description
This library provides emulation of smart cards to a virtual card
reader running in a guest virtual machine.

%package -n mingw32-libcacard
Summary:        Common Access Card (CAC) Emulation
Group:          Development/Libraries

%description -n mingw32-libcacard
Common Access Card (CAC) emulation library.

%package -n mingw64-libcacard
Summary:        Common Access Card (CAC) Emulation
Group:          Development/Libraries

%description -n mingw64-libcacard
Common Access Card (CAC) emulation library.

%?mingw_debug_package

%prep
%setup  -q -n libcacard-%{version}

autoreconf -if

%build
%mingw_configure
%mingw_make %{?_smp_mflags} V=1

%install
rm -rf $RPM_BUILD_ROOT

%mingw_make install "DESTDIR=$RPM_BUILD_ROOT"

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

%files -n mingw32-libcacard
%{mingw32_bindir}/libcacard-0.dll
%{mingw32_includedir}/cacard
%{mingw32_libdir}/libcacard.dll.a
%{mingw32_libdir}/pkgconfig/libcacard.pc

%files -n mingw64-libcacard
%{mingw64_bindir}/libcacard-0.dll
%{mingw64_includedir}/cacard
%{mingw64_libdir}/libcacard.dll.a
%{mingw64_libdir}/pkgconfig/libcacard.pc

%changelog
* Fri Aug 17 2018 Victor Toso <victortoso@redhat.com> - 2.6.0-1
- Package renamed in RHEL-8.0 from mingw-qemu to mingw-libcacard
- Version bump to 2.6.0, released in Aug 8 2018
- Related: rhbz#1615874
- ExclusiveArch: i686, x86_64
- Remove vsccclient.exe (not included in 2.6.0)

* Sun Oct 11 2015 Fabiano Fidêncio <fidencio@redhat.com> - 2.5.0-4
- Get back to the official tarball
- Fix the versionless .pc file issue

* Thu Oct 08 2015 Fabiano Fidêncio <fidencio@redhat.com> - 2.5.0-3
- Update the patches for the ones who ended up being pushed upstream

* Wed Oct 07 2015 Fabiano Fidêncio <fidencio@redhat.com> - 2.5.0-2
- Keep the package name as mingw-qemu (to avoid problems with tags)
- Add automake as BuildRequires

* Wed Oct 07 2015 Fabiano Fidêncio <fidencio@redhat.com> - 2.5.0-1
- Update to standalone libcacard 2.5.0

* Tue Oct 06 2015 Fabiano Fidêncio <fidencio@redhat.com> - 1.4.0-3
- Add python as a build requirement

* Wed Mar 20 2013 Marc-André Lureau <marcandre.lureau@redhat.com> - 1.4.0-2
- Fix loading of nssdb. #866418

* Thu Feb 21 2013 Marc-André Lureau <marcandre.lureau@redhat.com> - 1.4.0-1
- Initial package. #914790

